%global stackname roscpp_core
%global gitrev b901103

Name:           ros-%{rosrelease}-roscpp-core
Version:        0.3.11
Release:        1
Summary:        ROS C++ API

License:        BSD
URL:            http://www.ros.org/wiki/roscpp_core
#wget --content-disposition https://github.com/ros/roscpp_core/tarball/0.3.11
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
Provides:       ros-roscpp-core = %{version}-%{release}
Provides:       ros-%{stackname} = %{version}-%{release}
BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  boost-devel
BuildRequires:  ros-release
BuildRequires:  python-catkin

%description
roscpp-core is an underlying library for support roscpp message data 
types. It is a lightweight/minimal library that can easily be used 
in non-ROS-based projects. 

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-roscpp-core-devel = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
Development files for %{name}

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
source /usr/share/catkin/setup.sh
catkin_init_workspace
mkdir build
cd build
%cmake ../ -DCATKIN_DEVEL_PREFIX=../devel -DCATKIN_GLOBAL_LIB_DESTINATION="%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}

mv $RPM_BUILD_ROOT%{_usr}/.catkin $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/_setup_util.py $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}/

#mv $RPM_BUILD_ROOT%{_usr}/etc $RPM_BUILD_ROOT%{_sysconfdir}
#mv $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/* $RPM_BUILD_ROOT%{_bindir}
#rmdir $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/

%files
%{_libdir}/*.so
%{_datadir}/cpp_common
%{_datadir}/roscpp_core
%{_datadir}/roscpp_serialization
%{_datadir}/roscpp_traits
%{_datadir}/rostime

%files devel
%{_includedir}/ros
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 0.3.11-1
- Update to release 0.3.11 for groovy

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.2.5-1.gite92f9eb
- Initial package
